Content-Disposition: inline; filename="b4c3ff6eab197828d370c30d66e033cde9d2f13d..75622c30beb390b7ed578010a00390aa971b3951.patch"
Last-Modified: Wed, 25 Dec 2024 20:23:24 GMT
Expires: Sat, 23 Dec 2034 20:23:24 GMT

From 75622c30beb390b7ed578010a00390aa971b3951 Mon Sep 17 00:00:00 2001
From: Novatux <nathanael.courant@laposte.net>
Date: Tue, 12 May 2015 11:19:52 +0200
Subject: Add code to support raillike group names

---
 builtin/game/misc.lua | 11 +++++++++++
 1 file changed, 11 insertions(+)

(limited to 'builtin')

diff --git a/builtin/game/misc.lua b/builtin/game/misc.lua
index c31df541d..a71d5d02a 100644
--- a/builtin/game/misc.lua
+++ b/builtin/game/misc.lua
@@ -112,3 +112,14 @@ function core.record_protection_violation(pos, name)
 	end
 end
 
+local raillike_ids = {}
+local raillike_cur_id = 0
+function core.raillike_group(name)
+	local id = raillike_ids[name]
+	if not id then
+		raillike_cur_id = raillike_cur_id + 1
+		raillike_ids[name] = raillike_cur_id
+		id = raillike_cur_id
+	end
+	return id
+end
-- 
cgit v1.2.3

<select name='h' onchange='this.form.submit();'>
<option value='gpcf' selected='selected'>gpcf</option>
<option value='lifo-fixes'>lifo-fixes</option>
<option value='release'>release</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>modified minetest for gpcfs purposes</td><td class='sub right'>gpcf</td></tr></table>
<table class='tabs'><tr><td>
<a href='/minetest.git/about/?h=gpcf'>about</a><a href='/minetest.git/?h=gpcf'>summary</a><a href='/minetest.git/refs/?h=gpcf&amp;id=66af984e0ec90eb58b21f7eb48641cd638dffdca'>refs</a><a href='/minetest.git/log/build/android/libvorbis-libogg-fpu.patch?h=gpcf'>log</a><a class='active' href='/minetest.git/tree/build/android/libvorbis-libogg-fpu.patch?h=gpcf&amp;id=66af984e0ec90eb58b21f7eb48641cd638dffdca'>tree</a><a href='/minetest.git/commit/build/android/libvorbis-libogg-fpu.patch?h=gpcf&amp;id=66af984e0ec90eb58b21f7eb48641cd638dffdca'>commit</a><a href='/minetest.git/diff/build/android/libvorbis-libogg-fpu.patch?h=gpcf&amp;id=66af984e0ec90eb58b21f7eb48641cd638dffdca'>diff</a></td><td class='form'><form class='right' method='get' action='/minetest.git/log/build/android/libvorbis-libogg-fpu.patch'>
<input type='hidden' name='h' value='gpcf'/><input type='hidden' name='id' value='66af984e0ec90eb58b21f7eb48641cd638dffdca'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/minetest.git/tree/?h=gpcf&amp;id=66af984e0ec90eb58b21f7eb48641cd638dffdca'>root</a>/<a href='/minetest.git/tree/build?h=gpcf&amp;id=66af984e0ec90eb58b21f7eb48641cd638dffdca'>build</a>/<a href='/minetest.git/tree/build/android?h=gpcf&amp;id=66af984e0ec90eb58b21f7eb48641cd638dffdca'>android</a>/<a href='/minetest.git/tree/build/android/libvorbis-libogg-fpu.patch?h=gpcf&amp;id=66af984e0ec90eb58b21f7eb48641cd638dffdca'>libvorbis-libogg-fpu.patch</a></div><div class='content'>blob: 52ab397acda86a4bc2afc3f2a5a11f7b6aa5d612 (<a href='/minetest.git/plain/build/android/libvorbis-libogg-fpu.patch?h=gpcf&amp;id=66af984e0ec90eb58b21f7eb48641cd638dffdca'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
</pre></td>
<td class='lines'><pre><code><span class="hl kwb">--- libvorbis-libogg-android/jni/libvorbis-jni/Android.mk.orig	2014-06-17 19:22:50.621559073 +0200</span>
<span class="hl kwa">+++ libvorbis-libogg-android/jni/libvorbis-jni/Android.mk	2014-06-17 19:38:20.641581140 +0200</span>
<span class="hl kwd">&#64;&#64; -4,9 +4,6 &#64;&#64;</span>
 
 LOCAL_MODULE := vorbis-jni
 LOCAL_CFLAGS += -I$(LOCAL_PATH)/../include -fsigned-char
<span class="hl kwb">-ifeq ($(TARGET_ARCH),arm)</span>
<span class="hl kwb">-	LOCAL_CFLAGS += -march=armv6 -marm -mfloat-abi=softfp -mfpu=vfp</span>
<span class="hl kwb">-endif</span>
 
 LOCAL_SHARED_LIBRARIES := libogg libvorbis
 
<span class="hl kwb">--- libvorbis-libogg-android/jni/libvorbis/Android.mk.orig	2014-06-17 19:22:39.077558797 +0200</span>
<span class="hl kwa">+++ libvorbis-libogg-android/jni/libvorbis/Android.mk	2014-06-17 19:38:52.121581887 +0200</span>
<span class="hl kwd">&#64;&#64; -4,9 +4,6 &#64;&#64;</span>
 
 LOCAL_MODULE := libvorbis
 LOCAL_CFLAGS += -I$(LOCAL_PATH)/../include -ffast-math -fsigned-char
<span class="hl kwb">-ifeq ($(TARGET_ARCH),arm)</span>
<span class="hl kwb">-	LOCAL_CFLAGS += -march=armv6 -marm -mfloat-abi=softfp -mfpu=vfp</span>
<span class="hl kwb">-endif</span>
 LOCAL_SHARED_LIBRARIES := libogg
 
 LOCAL_SRC_FILES := \
<span class="hl kwb">--- libvorbis-libogg-android/jni/libogg/Android.mk.orig	2014-06-17 19:22:33.965558675 +0200</span>
<span class="hl kwa">+++ libvorbis-libogg-android/jni/libogg/Android.mk	2014-06-17 19:38:25.337581252 +0200</span>
<span class="hl kwd">&#64;&#64; -4,10 +4,6 &#64;&#64;</span>
 
 LOCAL_MODULE := libogg
 LOCAL_CFLAGS += -I$(LOCAL_PATH)/../include -ffast-math -fsigned-char
<span class="hl kwb">-ifeq ($(TARGET_ARCH),arm)</span>
<span class="hl kwb">-	LOCAL_CFLAGS += -march=armv6 -marm -mfloat-abi=softfp -mfpu=vfp</span>
<span class="hl kwb">-endif</span>
<span class="hl kwb">-</span>
 
 LOCAL_SRC_FILES := \
 	bitwise.c \
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.2.3</a> (<a href='https://git-scm.com/'>git 2.39.1</a>) at 2024-12-25 20:23:24 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
